Bug Hunting Session
Bug 107183 - The dialog that appears after clicking the "Rename master" -button has the title "Rename slide", should have "Rename master" instead
Summary: The dialog that appears after clicking the "Rename master" -button has the ti...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.3.2.2 release
Hardware: All All
: lowest trivial
Assignee: Gabor Kelemen
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-15 13:46 UTC by bordfeldt
Modified: 2017-08-19 08:11 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
rename master (26.00 KB, image/jpeg)
2017-04-15 13:46 UTC, bordfeldt
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bordfeldt 2017-04-15 13:46:08 UTC
Created attachment 132587 [details]
rename master

LO 5.3.2.2 on Windows 10 pro

Two issues with renaming master slides in impress:

1. The "rename master"-button in the "master view"-toolbar should be shown by default.

2. The dialog that appears after clicking the "rename master"-button has the title "rename slide". It should have the title "rename master". See attached screenshot.
Comment 1 Buovjaga 2017-04-26 12:13:38 UTC
I think 1. is a conscious decision by the design team as it was visible in 4.4 and hidden in 5.0.

Let's keep this for 2.
Comment 2 Commit Notification 2017-08-19 03:14:27 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=793246e1ae1266e8bd4261aa45dad40f5da16785

tdf#107183 Set different dialog title for renaming master slide

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Gabor Kelemen 2017-08-19 08:11:53 UTC
Hiding the Rename Master button from the Master View Toolbar was indeed intentional:
https://cgit.freedesktop.org/libreoffice/core/commit/?id=605f2233ecce4be022d8fcdcab7b9e169efde393

The dialog title is fixed now.